## CORBA Interface IPrincipalMapAdmin

The set of services available to view and manipulate a principal map definition.

### Definition

CORBA Module DFAuthServer

### IPrincipalMapAdmin Description

The set of services available to view and manipulate a principal map definition.

CORBA Definitions
attribute Description | Descriptive text to help identify the principal map.
attribute GroupingKey | The string that is used to associate principal maps to the applications making use of the principal maps.
attribute Identifier | The unique identifier of the principal map.
attribute Name | Display name of the principal map.
attribute Owner | The unique identifier of the subject that owns this principal map.
method Close | Release resources held by this component.
method Refresh | Refresh the subject information.
method AddConsumer | Add a subject or group as an identity that may have the principal map principals used on their behalf.
method ListConsumers | Retrieve consuming member information.
method RemoveConsumer | Remove a consuming member entry.
method AddManager | Add a subject or group as an identity that may update the set of consuming members in the principal map.
method ListManagers | Retrieve consuming member manager information.
method RemoveManager | Remove a managing member entry.
method GetPrincipal | Retrieve the principal associated with the principal map.
method SetPrincipal | Update the principal associated with the principal map.

Java Classes
IPrincipalMapAdminHelper | Used to manipulate the IPrincipalMapAdmin type
IPrincipalMapAdminHolder | Used to process the IPrincipalMapAdmin type as an out parameter

Java Interfaces
IPrincipalMapAdmin | The set of services available to view and manipulate a principal map definition.

Java Interface IPrincipalMapAdmin

The set of services available to view and manipulate a principal map definition.

Package com.sas.iom.DFAuthServer

IPrincipalMapAdmin Description

The set of services available to view and manipulate a principal map definition.

`public interface IPrincipalMapAdmin
extends org.omg.CORBA.Object`

Method Summary

void | Close () Release resources held by this component.
void | Refresh () Refresh the subject information.
void | AddConsumer ( java.lang.String consumerID ) throws ( GenericError ); Add a subject or group as an identity that may have the principal map principals used on their behalf.
void | ListConsumers ( java.lang.String columns , AnySeqHolder consumers ) throws ( GenericError ); Retrieve consuming member information.
void | RemoveConsumer ( java.lang.String consumerID ) throws ( GenericError ); Remove a consuming member entry.
void | AddManager ( java.lang.String managerID ) throws ( GenericError ); Add a subject or group as an identity that may update the set of consuming members in the principal map.
void | ListManagers ( java.lang.String columns , AnySeqHolder managers ) throws ( GenericError ); Retrieve consuming member manager information.
void | RemoveManager ( java.lang.String managerID ) throws ( GenericError ); Remove a managing member entry.
void | GetPrincipal ( org.omg.CORBA.StringHolder domain , org.omg.CORBA.StringHolder principal , org.omg.CORBA.StringHolder pw ) throws ( GenericError ); Retrieve the principal associated with the principal map.
void | SetPrincipal ( java.lang.String domain , java.lang.String principal , java.lang.String pw ) throws ( GenericError ); Update the principal associated with the principal map.

Java Class IPrincipalMapAdminHelper

public class IPrincipalMapAdminHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IPrincipalMapAdmin type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IPrincipalMapAdminHelper

Java Class IPrincipalMapAdminHolder

public class IPrincipalMapAdminHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IPrincipalMapAdmin type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IPrincipalMapAdminHolder

CORBA Attribute Description

Descriptive text to help identify the principal map.

Description

Descriptive text to help identify the principal map.

The description may be updated by the owner of the principal map and an Authentication Server administrator.

Usage

Java Method Description

    public java.lang.String Description ();
    public void Description ( java.lang.String Description );

CORBA Attribute GroupingKey

The string that is used to associate principal maps to the applications making use of the principal maps.

Description

The string that is used to associate principal maps to the applications making use of the principal maps. The groupingKey may be empty.

The groupingKey may be updated by the owner of the principal map and an Authentication Server administrator.

Usage

Java Method GroupingKey

    public java.lang.String GroupingKey ();
    public void GroupingKey ( java.lang.String GroupingKey );

CORBA Attribute Identifier (readonly)

The unique identifier of the principal map.

Description

The unique identifier of the principal map.

Usage

Java Method Identifier

    public java.lang.String Identifier ();

CORBA Attribute Name

Display name of the principal map.

Description

Display name of the principal map.

The display name should not be persisted as the key of the the subject since the subject name may change. The principal map identifier should be used when persisting a reference to a principal map.

The name may be updated by the owner of the principal map and an Authentication Server administrator.

Usage

Java Method Name

    public java.lang.String Name ();
    public void Name ( java.lang.String Name );

CORBA Attribute Owner

The unique identifier of the subject that owns this principal map.

Description

The unique identifier of the subject that owns this principal map

Usage

Java Method Owner

    public java.lang.String Owner ();
    public void Owner ( java.lang.String Owner );

CORBA Method Close

Release resources held by this component.

Description

Release resources held by this component.

Usage

Java Method Close

`void` Close ( )

Example

CORBA Method Refresh

Refresh the subject information.

Description

Refresh the subject information.

Usage

Java Method Refresh

`void` Refresh ( )

Example

CORBA Method AddConsumer

Add a subject or group as an identity that may have the principal map principals used on their behalf.

Description

Add a subject or group as an identity that may have the principal map principals used on their behalf.

The principal map owner and any direct or indirect managing member are permitted to use this operation.

Usage

Java Method AddConsumer

`void` AddConsumer (

        java.lang.String consumerID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
consumerID | in | java.lang.String | The unique identifier of a subject or group to associate with the principal map.

Example

CORBA Method ListConsumers

Retrieve consuming member information.

Description

List the subjects and groups that are permitted to have the principal map principal used on their behalf.

Usage

Java Method ListConsumers

`void` ListConsumers (

        java.lang.String columns ,
        AnySeqHolder consumers
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
columns | in | java.lang.String | The list of the member information the operation is to return. If the list is empty, all columns, in the order listed, are returned. The set of available columns are: `identifier`: String The unique identifier of the subject or group. `isGroup`: Boolean `TRUE` if the row describes a group. Otherwise, `FALSE`. `manage`: Boolean `TRUE` if the member may also manage the principal map. Otherwise, `FALSE`. `name`: String The name of the subject or group.
consumers | out | AnySeqHolder | The list of consuming members of the principal map. The returned array will contain a one dimensional array for each of the selected columns, in their selected order. If no columns were specified, all columns are returned in the order as they appear in ListConsumers::columns.

Example

CORBA Method RemoveConsumer

Remove a consuming member entry.

Description

Remove the consuming member entry that contains the given `consumerID`.

Usage

Java Method RemoveConsumer

`void` RemoveConsumer (

        java.lang.String consumerID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
consumerID | in | java.lang.String | The unique identifier of the member to remove from the principal map.

Example

CORBA Method AddManager

Add a subject or group as an identity that may update the set of consuming members in the principal map.

Description

Add a subject or group as an identity that may manage the set of consuming members in the principal map.

The principal map owner is permitted to use this operation.

Usage

Java Method AddManager

`void` AddManager (

        java.lang.String managerID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
managerID | in | java.lang.String | The unique identifier of a subject or group that may manage the principal map's consuming member list.

Example

CORBA Method ListManagers

Retrieve consuming member manager information.

Description

List the subjects and groups that are permitted to manage the list of principal map members that may have the principal map principals used on their behalf.

Usage

Java Method ListManagers

`void` ListManagers (

        java.lang.String columns ,
        AnySeqHolder managers
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
columns | in | java.lang.String | The list of the member information the operation is to return. If the list is empty, all columns, in the order listed, are returned. The set of available columns are: `identifier`: String The unique identifier of the subject or group. `isGroup`: Boolean `TRUE` if the row describes a group. Otherwise, `FALSE`. `name`: String The name of the subject or group. `consume`: Boolean `TRUE` if the member may also use the principal map principal. Otherwise, `FALSE`.
managers | out | AnySeqHolder | The list of members that are permitted to manage the consuming members of the principal map. The returned array will contain a one dimensional array for each of the selected columns, in their selected order. If no columns were specified, all columns are returned in the order as they appear in ListManagers::columns.

Example

CORBA Method RemoveManager

Remove a managing member entry.

Description

Remove the managing member entry that contains the given `managerID`.

Usage

Java Method RemoveManager

`void` RemoveManager (

        java.lang.String managerID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
managerID | in | java.lang.String | The unique identifier of the member to remove from the principal map.

Example

CORBA Method GetPrincipal

Retrieve the principal associated with the principal map.

Description

Retrieve the principal associated with the principal map.

The principal map owner and Authentication Server administrator are permitted to call this operation.

Usage

Java Method GetPrincipal

`void` GetPrincipal (

        org.omg.CORBA.StringHolder domain ,
        org.omg.CORBA.StringHolder principal ,
        org.omg.CORBA.StringHolder pw
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
domain | out | org.omg.CORBA.StringHolder | The authentication domain for which the principal identity and password are to be used.
principal | out | org.omg.CORBA.StringHolder | The principal identity to use in the returned authentication domain. If the returned domain is considered part of the login, the principal will be domain qualified (identity@domain or domain\identity).
pw | out | org.omg.CORBA.StringHolder | The credentials to use when authenticating the principal in the specified authentication domain.

Example

CORBA Method SetPrincipal

Update the principal associated with the principal map.

Description

Update the principal associated with the principal map.

Usage

Java Method SetPrincipal

`void` SetPrincipal (

        java.lang.String domain ,
        java.lang.String principal ,
        java.lang.String pw
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
domain | in | java.lang.String | The authentication domain for which the principal identity and password are to be used. The domain may not be empty.
principal | in | java.lang.String | The principal identity to use in the returned authentication domain. The principal may not be empty.
pw | in | java.lang.String | The credentials to use when authenticating the principal in the specified authentication domain.

Example